package com.mcwl.communityCenter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.common.core.domain.R;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.communityCenter.domain.Community;
import com.mcwl.communityCenter.domain.CommunityUser;
import com.mcwl.communityCenter.domain.dto.BlackListRes;
import com.mcwl.communityCenter.domain.dto.CommunityListPageRes;
import com.mcwl.communityCenter.domain.dto.CommunityRes;
import com.mcwl.communityCenter.domain.dto.CommunityUserListPageRes;

import javax.validation.Valid;

public interface CommunityUserService extends IService<CommunityUser> {

    /**
     * 获取社区用户列表
     */
    TableDataInfo getCommunityUserList(CommunityUserListPageRes communityUserListPageRes);

    /**
     * 拉黑
     */
    R<Object> black(@Valid BlackListRes blackListRes);
}
